
%let root    = C:\Users\psioda\Documents\Stat-Projects\Bayesian-normal-design;
%include "&root./macros/simNorm.sas";
%include "&root./macros/normDesign.sas";

libname out "&root./results";

%let nt = %scan(&sysparm,1,*);
%let nc = %scan(&sysparm,2,*);


data powerPrior;
 mu = 3.0891; vr = 0.6315**2; N = 242; a0 = 0.08; output;
 mu = 3.1849; vr = 0.5811**2; N = 263; a0 = 0.08; output;
run;


** Null Case;
%let mu_c  = 3.15;
%let mu_t  = %sysevalf(3.15 + 0.20);
%let sd    = 0.607;
%let dsOut = out.T1E_&nt._&nc.;

%simNorm(mu_t=&mu_t.,
         mu_c=&mu_c.,
         sd=&sd.,
         nt=&nt.,nc=&nc.,
         studyRepNum=50000,
         dsInPP=powerPrior,
         dsOut=simStudy);

%NormDesign(nSamp=50000,gamma=0.95,delta=0.20,dsIn=simStudy,dsOut=&dsOut.);


** Alternative Case;
%let mu_c  = 3.15;
%let mu_t  = 3.15;
%let dsOut = out.Power_&nt._&nc.;

%simNorm(mu_t=&mu_t.,
         mu_c=&mu_c.,
         sd=&sd.,
         nt=&nt.,nc=&nc.,
         studyRepNum=50000,
         dsInPP=powerPrior,
         dsOut=simStudy);

%NormDesign(nSamp=50000,gamma=0.95,delta=0.20,dsIn=simStudy,dsOut=&dsOut.);
